com.google.gwt.place.shared

## Interface PlaceHistoryMapperWithFactory<F>

Type Parameters:
  `F` - factory type

All Superinterfaces:
  PlaceHistoryMapper

    public interface PlaceHistoryMapperWithFactory<F>
    extends PlaceHistoryMapper

A `PlaceHistoryMapper` that can get its `PlaceTokenizer` instances from a factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setFactory(F factory)` Sets the factory to be used to generate `PlaceTokenizer` instances.

### Methods inherited from interface com.google.gwt.place.shared.PlaceHistoryMapper

`getPlace, getToken`

### Method Detail

#### setFactory

    void setFactory(F factory)

Sets the factory to be used to generate `PlaceTokenizer` instances.

Parameters:
  `factory` - a factory of type F